/*
 * This code will most likely deadlock (That's why you'll get a
 * warning message when you run cssame on it). It's not meant to
 * be executed. It just exercises a few things in the CSSA
 * library.
 *
 * To run CSSAME on this program compile it first with
 *	$ odc -.odc synch.c
 *
 * Then generate the CSSAME form with
 *	$ cssame synch.odc
 */
#include <odyssey.h>

typedef int lock_t;

main()
{
    lock_t x = 1, y = 2;
    int a = 5, b = 3;

    cobegin
	T 0: {
	    int i;

	    suif_lock(x);
	    printf("Thread 0 grabbed lock %d\n", x);

	    for (i = 0; i < 100; i++) {
		a *= i / 3;
	    }

	    if (a > 3) {
		suif_lock(y);
	    }

	    a += 3;
	    if (b < 2) {
		a = 5;
	    }
	    printf("Thread 0 grabbed lock %d\n", y);
	    suif_unlock(y);

	    b = 3;
	    suif_unlock(x);
	    break;
	}

	T 1: {
	    int i;

	    suif_lock(x);

	    printf("Thread 1 grabbed lock %d\n", x);
	    printf(a);
	    
	    for (i = 0; i < 100; i++) {
		a += i * 4;
	    }

	    suif_lock(y);
	    printf("Thread 1 grabbed lock %d\n", y);
	    suif_unlock(y);

	    suif_unlock(x);
	    break;
	}
    coend
}
