//---------------------------------------------------------------------------
// $Id: init.cc,v 1.3 1998/06/03 16:52:43 diego Exp diego $
//
// Intialization routines for the CSSAME library
//
// Copyright (C) 1997 University of Alberta
//
// Author: Diego Novillo (diego@cs.ualberta.ca)
//
// This software is provided under the terms described in the
// "suif_copyright.h" include file.
//---------------------------------------------------------------------------
#include <suif_copyright.h>

#define _MODULE_ "libcssame.a"

#include <suif.h>

/* Reaching definitions annotation for statements */
char *k_reaching_defs;
char *k_reached_uses;
char *k_currdef;
char *k_mutex_struct;

/*
 *  Initialization and finalization functions for the PFG library.
 */
void
init_cssame (int & /* argc */, char * /* argv */ [])
{
    k_reaching_defs = lexicon->enter("reaching_defs")->sp;
    k_reached_uses = lexicon->enter("reached_uses")->sp;
    k_currdef = lexicon->enter("currdef")->sp;
    k_mutex_struct = lexicon->enter("mutex_struct")->sp;
}


void
exit_cssame ()
{
}
