/*  Top-level Control Flow Graph Include File */

/*  Copyright (c) 1994 Stanford University

    All rights reserved.

    Copyright (c) 1995, 1996, 1997 The President and Fellows of Harvard 
    University

    All rights reserved.

    This software is provided under the terms described in
    the "suif_copyright.h" include file.

    Modified by Diego Novillo (diego@cs.ualberta.ca)
*/


#include <suif_copyright.h>

#include <par.h>

#ifndef PFG_H
#define PFG_H

/*
 *  Use a macro to include files so that they can be treated differently
 *  when compiling the library than when compiling an application.
 */

#ifdef PFGLIB
#	include "graph.h"
#	include "node.h"
#	include "util.h"
#	include "varref.h"
#else
#	include <graph.h>
#	include <node.h>
#	include <util.h>
#	include <varref.h>
#endif

#endif /* PFG_H */

