//---------------------------------------------------------------------------
// $Id: doall.cc,v 1.3 1998/06/03 16:52:36 diego Exp diego $
//
// Copyright (C) 1997 University of Alberta
//
// Author: Diego Novillo (diego@cs.ualberta.ca)
//
// This software is provided under the terms described in the
// "suif_copyright.h" include file.
//---------------------------------------------------------------------------
#include <suif_copyright.h>
#include <string.h>

#include <suif.h>

#include "doall.h"

//---------------------------------------------------------------------------
// isDoall()
// Returns TRUE if the given tree_for is a doall
//---------------------------------------------------------------------------
boolean
isDoall(tree_node *tn)
{
    if (tn == NULL) return FALSE;

    if (tn->is_for() == FALSE) return FALSE;

    return (tn->peek_annote(k_doall) != NULL);
}


//---------------------------------------------------------------------------
// tree_doall::tree_doall()
//---------------------------------------------------------------------------
tree_doall::tree_doall(tree_node *tn)
{
    assert(isDoall(tn));

    _tf = (tree_for *)tn;
}
