//---------------------------------------------------------------------------
// $Id: doall.h,v 1.2 1998/06/03 16:52:36 diego Exp diego $
//
// Copyright (C) 1997 University of Alberta
//
// Author: Diego Novillo (diego@cs.ualberta.ca)
//
// This software is provided under the terms described in the
// "suif_copyright.h" include file.
//---------------------------------------------------------------------------
#ifndef	__DOALL_H
#define	__DOALL_H

#include <suif_copyright.h>

#define DOALL	"__ODC_doall"

extern char *k_doall;

/* Free functions */
boolean isDoall(tree_node *tn);

class tree_doall {
private:
    tree_for *_tf;

public:
    tree_doall(tree_node *tn);

    tree_for *loop() const { return _tf; }
    var_sym *index() const { return _tf->index(); }
    void print(FILE *fp=stdout, int depth=0) const { _tf->print(fp, depth); }
};

#endif	// __DOALL_H
